Frees resources associated with the indicated statement resource

- « db2_free_result

- db2_get_option »

- PHP Manual
- IBM DB2 Functions
- Frees resources associated with the indicated statement resource

# db2_free_stmt

(PECL ibm_db2 >= 1.0.0)

db2_free_stmt — Frees resources associated with the indicated statement resource

### Description

db2_free_stmt(resource `$stmt`): bool

Frees the system and database resources that are associated with a statement resource. These resources are freed implicitly when a script finishes, but you can call db2_free_stmt() to explicitly free the statement resources before the end of the script.

### Parameters

`stmt`

  A valid statement resource.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- db2_free_result() - Frees resources associated with a result set